using Services.Interfaces;
using UnityEngine;
using VContainer.Unity;
using Views;

namespace Services
{
    public class LevelEntryPoint : IStartable
    {
        private readonly IObjectPool<GemView> gemViewPool;
        private readonly IGameBoardService gameBoardService;

        public LevelEntryPoint(IObjectPool<GemView> gemViewPool, IGameBoardService gameBoardService)
        {
            this.gemViewPool = gemViewPool;
            this.gameBoardService = gameBoardService;
        }

        public void Start()
        {
            Debug.Log("Level Entry Point");
            this.gameBoardService.Setup();
            
        }
    }
}